Samsung ML-1666 printer in Linux

Samsung ML-1666

Unfortunately, splix does not support this model. So, you have to download Linux driver from: Samsung Website

You can either run their automated installer or install it manually.
I prefer manual installation because, automated installer install many unnecessary tools in my system.

 1. locate the ML-1660 from the Unified driver PPD while adding printer:

/cdroot/Linux/noarch/at_opt/share/ppd/ML-1660spl.ppd

2.Copy the filter, depending on your system (32bit or 64bit):

 /cdroot/Linux/x86_64/at_root/usr/lib64/cups/filter/rastertosamsungspl –> /usr/lib/cups/filter/ 

3. You may need to install libtiff and splix or may try to modify the ML-1660.ppd for splix support. But, be inform that, from splix website “Splix won’t support old SPL(1) printers.”

Leave a Reply to Miven Dooligan Cancel reply

Your email address will not be published.